Subject: Compiling Pine for AIX 4.1

From: [email-masked]
Date: Thu, 03 Oct 96 16:45:53

I'm having problems getting a successful compilation of Pine on an IBM RS/6000 
under AIX v4.1.

Some of the compile statements give the following kind of output:

        cc -g -Dunix=1 -D_BSD -DNFSKLUDGE  -c smtp.c                            
"smtp.c", line 170.9: 1506-068 (W) Operation between types "long(*)(unsigned ch.
"smtp.c", line 298.27: 1506-068 (W) Operation between types "void(*)(unsigned c.
        cc -g -Dunix=1 -D_BSD -DNFSKLUDGE  -c nntp.c                            

        cc -c   -D_ALL_SOURCE -Da41 -DJOB_CONTROL -DPOSIX -DMOUSE osdep.c       
"osdep.c", line 2082.22: 1506-280 (W) Function argument assignment between type.
        cc -c   -D_ALL_SOURCE -Da41 -DJOB_CONTROL -DPOSIX -DMOUSE pico.c        

        cc     -Dconst= -DA41 -DSYSTYPE=\"A41\" -DMOUSE -c help.c 
"os.h", line 61.25: 1506-342 (W) "/*" detected in comment.        
"os.h", line 71.34: 1506-342 (W) "/*" detected in comment.        
"os.h", line 220.27: 1506-342 (W) "/*" detected in comment.       

... and so on.

What's going on here?  If I un-tar the Pine 3.95 file and compile it on an AIX 
3.2.5 machine we've got, it installs just fine.  Am I missing something simple? 
Is it the environment or the "C" compiler that's having problems?

Any clues would be most appreciated.

- Michael

------------------------------------------------------------------
Michael Wright, Systems Analyst         email: [email-masked]
Yakima Products, Inc.                   Ph:    707-826-8175
P.O. Box 4899, Arcata, CA 95521 (USA)   Fx:    707-826-8149
------------------------------------------------------------------